Description

History

#1 - 08/29/2024 04:07 PM - Junaid M

In Ticket Issue/Cancel GUI Ticket tab -> After Original Issue widget

1. Add tooltip on Original Issue "Ticked means allowed -Ve value because Rate reduced on RelIssue. Enter previu
os original ticket No. only if the ticket is Re Issue Ticket".

coding points —--> when fare comes as -Ve. then posting need opposite side entry.ie: Normally supplier is Cr, w
hen -ve come supplier is Dr side.

2. Add widget
Sale Original Issue* (Blue star) Entry box | Load Icon [grouped at the end] | 0.00
tooltip on label and widget=> Shows all previous Not sold original issues. these tickets will be added to invo
ice as sale items.
Coding points --> 1. On load icon get all current ticket's not sold original issues ticket datas.
2. Comma seperated ticket numbers. manual entry allowed.
3. store in a new db field: vhr_sale_original_issue VARCHAR
4. Only show this widget if value in Original Issue (above widget) exist.
5. In invoice/Refund -> ticket issue/cancel pop-up Add button click Create ticket issue/canc
el object using each original
issue tickets (using ticket no in this widget),and push to sale grid(fetch data from serv
er for data like fare on add button or
load icon, ...etc).

3. Add widget

Print Original Issue* (Blue) Entry box | Load icon [Grouped at the end]

-—> tooltip: All previous Original Issues (Sold and not Sold) for print

——> Coding point: On load icon get all current ticket's original issues. (not sold + sold).

—-—> store in a new db field: vhr_printe_original_issue VARCHAR

workflow: Use this data for Invoice/Refund print. In print option pop-up bool settings add --> 1. Merge origin
al issues and Reissues tickets

#2 - 08/29/2024 04:21 PM - Junaid M

- Subject changed from Original issue related features in invoice to Original issue related features in invoice/refund

#3 - 12/11/2024 02:58 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20
